Subject: Re: Q concerning cygwin/perl/network
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 13 Jun 2001 09:13:39 +0200

Jonadab the Unsightly One schrieb am 2001-06-12, 20:35:

> 
> > require Net::Ping;
> > $host = '127.0.0.1';
> > $p = Net::Ping->new();
> > if($p->ping($host))
> > { print "$host is alive.\n"; }
> > else { print "$host is not alive.\n"; }
> > $p->close();
> 
> > should ping the localhost and is tested under Solaris. Under
> > cygwin, the ping fails. Any ideas? Comments? Shrieking epitaphs?
> 
> I tried it here, and it failed.  So I tried it in
> ActivePerl, and it failed there too -- despite that 
> I've run numerous network scripts in ActivePerl and 
> they do fine.  For example, I can use Net::ftp and 
> Net::UserAgent, but when I tried the above, I always 
> get the "is not alive" message.  The ping.exe that 
> comes with windows of reports 0% packet loss.
> 
> This makes me wonder if it couldn't be a
> problem with Net::Ping specifically.  Have you
> tried one of the other Net:: modules under cygwin?

Well Net::Ping is working for me, so it shouldn't be
a problem with the module or cygwin.

Do you have a valid SERVICES file for windows/cygwin? 
Do you run inetd? 
Is the echo-port then served by it (I don't know)?

gph

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple